Subject: bug#71838: closed (Re: ecl-mito fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Jun 2024 09:28:02 +0000

Your bug report

#71838: ecl-mito fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71838: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71838
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: ecl-mito fails to build
From: Guillaume Le Vaillant <[email-masked]>
To: Andreas Enge <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 29 Jun 2024 09:27:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> Hello,
>
> noticing that lots of ecl-mito clog the bordeaux build farm, I tried a
> local build from master. It ends like this:
>
> phase `build' succeeded after 22.6 seconds
> starting phase `check'
> Invoking ecl: "/gnu/store/a7154xn03yq0r39s848fbndi1h446559-ecl-24.5.10/bin/ecl"
> "--eval" "(require :asdf)" "--eval" "(asdf:initialize-source-registry
> (list :source-registry (list :tree (uiop:ensure-pathname
> \"/gnu/store/62mg2kk45v6vghms4qyqyww1b575d1cz-ecl-mito-0.1-3.47ba486/share/common-lisp/ecl/mito\" :truenamize
> t :ensure-directory t)) :inherit-configuration))" "--eval" "(asdf:test-system
> \"mito-test\")" "--eval" "(asdf:test-system \"mito\")" "--eval" "(quit)"
> ;;; Loading #P"/gnu/store/a7154xn03yq0r39s848fbndi1h446559-ecl-24.5.10/lib/ecl-24.5.10/asdf.fas"
> ;;; Warning: System definition file
> #P"/gnu/store/hjrhc3mcaisn30w475ymi16529kzb433-ecl-cl-colors-0.0.0-1.8274105/share/common-lisp/ecl/cl-colors/cl-colors.asd"
> contains definition for system "cl-colors-tests". Please only define
> "cl-colors" and secondary systems with a name starting with "cl-colors/" (e.g.
> "cl-colors/test") in that file.
> ;;; Warning: Deprecated recursive use of (ASDF/OPERATE:OPERATE
>              'ASDF/LISP-ACTION:LOAD-OP '("mito-test")) while visiting
>              (ASDF/LISP-ACTION:TEST-OP "mito-test")
>              - please use proper dependencies instead
>
> Running a test file '/gnu/store/62mg2kk45v6vghms4qyqyww1b575d1cz-ecl-mito-0.1-3.47ba486/share/common-lisp/ecl/mito/t/db/sqlite3.lisp'
>
> and then stalls (and presumably would time out after a very long time).
>
> Andreas

Hi.
Indeed it looks like the test suite never ends. So I disabled the tests
in commit 97684fa209f77abe6f5f4f972bfdb3102eb42687.

Subject: ecl-mito fails to build
From: Andreas Enge <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 29 Jun 2024 10:37:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

noticing that lots of ecl-mito clog the bordeaux build farm, I tried a
local build from master. It ends like this:

phase `build' succeeded after 22.6 seconds
starting phase `check'
Invoking ecl: "/gnu/store/a7154xn03yq0r39s848fbndi1h446559-ecl-24.5.10/bin/ecl" "--eval" "(require :asdf)" "--eval" "(asdf:initialize-source-registry (list :source-registry (list :tree (uiop:ensure-pathname \"/gnu/store/62mg2kk45v6vghms4qyqyww1b575d1cz-ecl-mito-0.1-3.47ba486/share/common-lisp/ecl/mito\" :truenamize t :ensure-directory t)) :inherit-configuration))" "--eval" "(asdf:test-system \"mito-test\")" "--eval" "(asdf:test-system \"mito\")" "--eval" "(quit)"
;;; Loading #P"/gnu/store/a7154xn03yq0r39s848fbndi1h446559-ecl-24.5.10/lib/ecl-24.5.10/asdf.fas"
;;; Warning: System definition file #P"/gnu/store/hjrhc3mcaisn30w475ymi16529kzb433-ecl-cl-colors-0.0.0-1.8274105/share/common-lisp/ecl/cl-colors/cl-colors.asd" contains definition for system "cl-colors-tests". Please only define "cl-colors" and secondary systems with a name starting with "cl-colors/" (e.g. "cl-colors/test") in that file.
;;; Warning: Deprecated recursive use of (ASDF/OPERATE:OPERATE
             'ASDF/LISP-ACTION:LOAD-OP '("mito-test")) while visiting
             (ASDF/LISP-ACTION:TEST-OP "mito-test")
             - please use proper dependencies instead

Running a test file '/gnu/store/62mg2kk45v6vghms4qyqyww1b575d1cz-ecl-mito-0.1-3.47ba486/share/common-lisp/ecl/mito/t/db/sqlite3.lisp'

and then stalls (and presumably would time out after a very long time).

Andreas